<ion-header>
  <ion-toolbar color="primary">
    <ion-buttons slot="start">
      <ion-back-button></ion-back-button>
    </ion-buttons>
    <ion-title>
      Add New Address
    </ion-title>
    <ion-buttons (click)="Resetpage()" slot="end" style="font-size: 1.8rem;">
      <ion-icon name="refresh"></ion-icon>
    </ion-buttons>
  </ion-toolbar>
</ion-header>

<ion-content>
  <form [formGroup]="form" (ngSubmit)="onSaveDraft(form.value)">
    <ion-grid>
      <ion-card>
        <ion-card-header style="background: #FFCC80;">
          Address :
        </ion-card-header>
        <ion-row>
          <ion-col size="12" size-lg="4">
            <ion-item>
              <ion-label position="floating">Name<span style="color:red!important">*</span></ion-label>
              <ion-input formControlName="name" type="text" [disabled]="samename"></ion-input>
            </ion-item>
            <div padding-left>
              <ng-container *ngFor="let validation of validation_messages.name">
                <div *ngIf="form.get('name').hasError(validation.type) && form.get('name').touched">
                  <p style="color: red;font-size: small;">{{validation.message}}</p>
                </div>
              </ng-container>
            </div>
          </ion-col>
          <ion-col size="12" size-lg="4">
            <ion-item>
              <ion-label>Name same as Customer</ion-label>
              <ion-checkbox slot="end" formControlName="NamesameasCustome"
                (ionChange)="onchangeNamesameasCustome()"></ion-checkbox>
            </ion-item>
          </ion-col>
          <ion-col size="12" size-lg="4">
            <ion-item>
              <ion-label>Billing</ion-label>
              <ion-checkbox slot="end" formControlName="isbill"></ion-checkbox>
            </ion-item>
          </ion-col>
        </ion-row>

        <ion-row>
          <ion-col size="12" size-lg="4">
            <ion-item>
              <ion-label>Shipping</ion-label>
              <ion-checkbox slot="end" formControlName="isShip" (ionChange)="onShippingChange($event)">
              </ion-checkbox>
            </ion-item>
          </ion-col>
          <ion-col size="12" size-lg="4" *ngIf="showPreferredTransportControl">
            <ion-item>
              <ion-label position="stacked">Customer Preferred Transport<span style="color:red!important">*</span>
              </ion-label>
              <ion-select [(ngModel)]="selectedPreferredTransport" formControlName="preferredCustomerTransport" interface="popover"
                (ionChange)="onCusPreTransChange()" multiple="false" placeholder="Select Activity">
                <ion-select-option *ngFor="let preferredTransport of preferredTransportList"
                  [value]="preferredTransport">{{preferredTransport.name}}
                </ion-select-option>
              </ion-select>
            </ion-item>
          </ion-col>
          <ion-col size="12" size-lg="4" *ngIf="showPreferredTransportNameControl">
            <ion-item>
              <ion-label position="floating">Preferred Transport Name<span style="color:red!important">*</span>
              </ion-label>
              <ion-input formControlName="preferredTransportName" type="text"></ion-input>
            </ion-item>
            <div padding-left>
              <ng-container *ngFor="let validation of validation_messages.preferredTransportNameMss">
                <div
                  *ngIf="form.get('preferredTransportName').hasError(validation.type) && form.get('preferredTransportName').touched">
                  <p style="color: red;font-size: small;">{{validation.message}}</p>
                </div>
              </ng-container>
            </div>
          </ion-col>
          <ion-col size="12" size-lg="4" *ngIf="showPreferredTransportNameControl">
            <ion-item>
              <ion-label position="floating">Preferred Transport Contact Number</ion-label>
              <ion-input formControlName="preferredTransportContactNumberCtrl" type="number"
                (change)='onChangePreferredTransportContact()'></ion-input>
            </ion-item>
            <div padding-left>
              <ng-container *ngFor="let validation of validation_messages.preferredTransportContactNumberCtrlMss">
                <div
                  *ngIf="form.get('preferredTransportContactNumberCtrl').hasError(validation.type) && form.get('preferredTransportContactNumberCtrl').touched">
                  <p style="color: red;font-size: small;">{{validation.message}}</p>
                </div>
              </ng-container>
            </div>
          </ion-col>

          <ion-col size="12" size-lg="4" *ngIf="showPreferredTransportNameControl">
            <ion-item>
              <ion-label position="floating">Preferred Transport Email ID</ion-label>
              <ion-input formControlName="preferredTransportEmailIDCtrl" 
              pattern="[A-Za-z0-9._%+-]{3,}@[a-zA-Z]{3,}([.]{1}[a-zA-Z]{2,}|[.]{1}[a-zA-Z]{2,}[.]{1}[a-zA-Z]{2,})">
              </ion-input>
            </ion-item>
            <div padding-left>
              <ng-container *ngFor="let validation of validation_messages.preferredTransportEmailIDCtrllMss">
                <div
                  *ngIf="form.get('preferredTransportEmailIDCtrl').hasError(validation.type) && form.get('preferredTransportEmailIDCtrl').touched">
                  <p style="color: red;font-size: small;">{{validation.message}}</p>
                </div>
              </ng-container>
            </div>
          </ion-col>
          <ion-col size="12" size-lg="4">
            <ion-item>
              <ion-label position="floating">Address Line 1<span style="color:red!important">*</span></ion-label>
              <ion-input formControlName="add1" type="text"></ion-input>
            </ion-item>
            <div padding-left>
              <ng-container *ngFor="let validation of validation_messages.add1">
                <div *ngIf="form.get('add1').hasError(validation.type) && form.get('add1').touched">
                  <p style="color: red;font-size: small;">{{validation.message}}</p>
                </div>
              </ng-container>
            </div>
          </ion-col>
          <ion-col size="12" size-lg="4">
            <ion-item>
              <ion-label position="floating">Address Line 2 </ion-label>
              <ion-input formControlName="add2" type="text"></ion-input>
            </ion-item>
          </ion-col>
          <ion-col size="12" size-lg="4">
            <ion-item>
                <ion-label position="floating">Address Line 3</ion-label>
                <ion-input formControlName="add3"  type="text"></ion-input>
            </ion-item>
          </ion-col>
          <ion-col size="12" size-lg="4">
            <ion-item>
              <ion-row>
                <ion-col>
                  <ion-label position="floating">Pin Code<span style="color:red!important">*</span></ion-label>
                </ion-col>
              </ion-row>
              <ion-input formControlName="pincode"  type="number" (change)='onChangepin()'></ion-input>
            </ion-item>
            <div padding-left>
              <ng-container *ngFor="let validation of validation_messages.pincode">
                <div *ngIf="form.get('pincode').hasError(validation.type) && form.get('pincode').touched">
                  <p style="color: red;font-size: small;">{{validation.message}}</p>
                </div>
              </ng-container>
            </div>
            <div padding-left>
              <ng-container>
                <div>
                  <p style="color: red;font-size: small;">{{invalidpincode}}</p>
                </div>
              </ng-container>
            </div>
          </ion-col>
          <ion-col size="12" size-lg="4">
            <ion-item >
                <ion-label position="stacked">Area<span style="color:red!important">*</span></ion-label>
                <ion-select  #C  formControlName="selectedarea" interface="popover" (ionChange)="onChangeArea()" multiple="false" placeholder="Select Area" required>
                  <ion-select-option *ngFor="let area of arealist" [value]="area">{{area.area}}</ion-select-option>
                </ion-select>
              </ion-item>
              <div padding-left>
                <ng-container *ngFor="let validation of validation_messages.selectedarea">
                  <div *ngIf="form.get('selectedarea').hasError(validation.type) && form.get('selectedarea').touched">
                    <p style="color: red;font-size: small;">{{validation.message}}</p>
                  </div>
                </ng-container>
              </div>
        </ion-col>
        <ion-col size="12" size-lg="4">
          <ion-item >
            <ion-label position="floating">City</ion-label>
            <ion-input type="text" value="{{city}}" disabled="true"></ion-input>
          </ion-item>
        </ion-col>
        <ion-col size="12" size-lg="4">
          <ion-item>
            <ion-label position="floating">District</ion-label>
            <ion-input type="text" value="{{district}}" disabled="true"></ion-input>
          </ion-item>
        </ion-col>
        <ion-col size="12" size-lg="4">
          <ion-item>
            <ion-label position="floating">State</ion-label>
            <ion-input type="text" value="{{state}}" disabled="true"></ion-input>
          </ion-item >
          </ion-col>
          <ion-col size="12" size-lg="4">
            <ion-item>
              <ion-label position="floating">Country</ion-label>
              <ion-input type="text" value="{{country}}" disabled="true"></ion-input>
            </ion-item>
          </ion-col>
          <!-- <ion-col size="12" size-lg="4">
            <ion-item>
              <ion-label>From Date</ion-label>
              <ion-datetime placeholder="Select Date" [disabled]="true"  formControlName="form.controls['fromdate']" displayFormat="DD.MM.YYYY" max="2050"></ion-datetime>
            </ion-item>
          </ion-col> -->
          <ion-item>
            <ion-label position="stacked">From Date</ion-label>
            <ion-item>
              <ion-input placeholder="Select Date" [value]="datefrom"></ion-input>
              <ion-button fill="clear" id="open-date-input-1">
                <ion-icon icon="calendar"></ion-icon>
              </ion-button>
              <ion-popover class="dateTimePopover" trigger="open-date-input-1" show-backdrop="false">
                <ng-template>
                  <ion-datetime
                    #popoverDatetime2
                    formControlName="fromdate" 
                    presentation="date"
                    showDefaultButtons="true"
                    max="2050"
                    (ionChange)="datefrom = formatDate(popoverDatetime2.value)"
                  ></ion-datetime>
                </ng-template>
              </ion-popover>
            </ion-item>
          </ion-item>
          <ion-col size="12" size-lg="4">
            <ion-item>
              <ion-label>Unregistered </ion-label>
              <ion-checkbox slot="end" formControlName="Unregistered" (ionChange)="onchangeUnregistered()"></ion-checkbox>
            </ion-item>
          </ion-col>
          <ion-col size="12" size-lg="4">
            <ion-item>
                <ion-label position="floating">GST Number</ion-label>
                <ion-input formControlName="gstno" [required]="!IsUnregistered" type="text" [disabled]="isgst" 
                 class="ion-text-uppercase" pattern="^([0][1-9]|[1-2][0-9]|[3][0-5])([a-zA-Z]{5}[0-9]{4}[a-zA-Z]{1}[1-9a-zA-Z]{1}[a-zA-Z]{1}[0-9a-zA-Z]{1})+$"></ion-input>
            </ion-item>
            <div padding-left>
              <ng-container *ngFor="let validation of validation_messages.gstno">
                <div *ngIf="form.get('gstno').hasError(validation.type)">
                  <p style="color: red;font-size: small;">{{validation.message}}</p>
                </div>
              </ng-container>
            </div>
          </ion-col>
          <ion-col *ngIf="isdesktop===false" size="12" size-lg="4" >
            <ion-button (click)="ChosePic('PANpic','')" [disabled]="isgst">
           <ion-icon name="Photos"></ion-icon>
              
            </ion-button>
           </ion-col>
           <ion-col *ngIf="isdesktop===true" size="12" size-lg="4">
             <input type="file" name="file" accept="image/*" id='selectedFile' (change)="uploadImage($event)" class="inputfile" [disabled]="isgst"/>
     
            </ion-col>
     
           <ion-col>
             <img [src]="fileUrl" *ngIf="fileUrl" (click)="ImageViewr(fileUrl)" style="width: 50px; height: 50px;">
           </ion-col>   
        </ion-row>
      </ion-card>
      <ion-card>
        <ion-card-header style="background: #FFCC80;">
          Compliance:
        </ion-card-header>
        <ion-row style="background-color: #b8b3b3; white-space:normal; font-size: xx-small; text-align: center;" class ="row">
          <ion-col size="3"> Compliance Type</ion-col>
          <ion-col size="3">Number</ion-col>
          <ion-col size="2"> Image</ion-col>
          <ion-col size="3"> </ion-col>
        </ion-row>
        <ion-row *ngFor="let item of ComplianceList; index as i" style="border: think solid black;">
          <ion-col size="3"> {{ item.name }}</ion-col>
          <ion-item>
          <ion-input size="3" type="text" [(ngModel)]="item.num" [ngModelOptions]="{standalone: true}"></ion-input>
          </ion-item>
          <ion-col size="2" *ngIf="isdesktop===false">
            <ion-button (click)="ChosePic('complince',item.code)">
              <!-- <ion-label>Capture</ion-label> -->
              <ion-icon name="Photos"></ion-icon>
            </ion-button>
          </ion-col>
  
          <ion-col size="2" *ngIf="isdesktop===true">
            <input type="file" name="file" accept="image/*" id='selectedFile' (change)="uploadcompImage($event,item.code)" class="inputfile"/>
        
           </ion-col>
          <ion-col size="3">
            <img [src]="'data:image/jpeg;base64,'+item.image" (click)="ImageViewr(item.image,item)" *ngIf="item.image" style="width: 35px; height: 35px;">
          </ion-col>
        </ion-row>
        
          <ion-row>
            <ion-col>
               <ion-label style="color: red;" class="ion-text-wrap"></ion-label>
             </ion-col>
          </ion-row>
      </ion-card>
    </ion-grid>
  </form>
  <ion-footer>
    <ion-row>
      <ion-col size="12">
        <ion-button style="width: 100%;" (click)="onSaveDraft(form.value)" [disabled]="!form.valid">
          <ion-label >Save</ion-label>
        </ion-button>
        <!-- <ion-button style="width: 100%;" (click)="test(form)">
          <ion-label >TEST</ion-label>
        </ion-button> -->
       </ion-col>
  </ion-row>
  </ion-footer>
</ion-content>